---
title: "Unassign flows by Flow Instance ID"
slug: "unassign-flows-by-flow-instance-id-v2flowsprospectsunassign-flows-by-instance-id-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unassign flows by Flow Instance ID  (/v2/flows/prospects/unassign-flows-by-instance-id)

Post/v2/flows/prospects/unassign-flows-by-instance-id

This endpoint lets you specify flow instances to remove prospects from.

A flow instance is created when a prospect is added to a flow. Retrieve the flow instance Id from the /v2/flows/prospects endpoint.

The flow instance Ids the prospect was successfully removed from are returned in the response. If a prospect could not be removed from the flow for any reason, the Id isn’t returned in the response and the prospect is still assigned to the flow.

You can remove prospects from up to 200 flows in a single request.

Required authorizaton scope: 'api:flows:write'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='c8770e70-4329-410b-b8d3-34cb45fec820'>application/json</option>
</select>object  

Unassign flows by Flow Instance ID request.

flowInstanceIds Array of string   Required

The unique identifiers of the flows that prospects should be removed from.

Example[
  "234599484848423"
]string    
unassignedByUserEmailstring    

(Optional) The email address of the Gong user requesting to remove prospects from the flow instance. This is not the email of the prospect being removed from the flow.

Exampletest@test.com

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='6452c5d0-c8f7-4987-bd41-b8160c734520'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
unassignedFlowInstanceIds Array of string   

Set of flow instance ids prospects were successfully removed from.

Example[
  "234599484848423"
]string    

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='aff643eb-c9d2-4406-a11f-a1b86e1bf2a8'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='3511d4ba-27ba-4218-b073-2f3d7a544307'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='e34c3952-51f1-4dd9-b53e-ee52f139ba4d'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='0c9aca92-b3bb-4273-a398-96bc1d9a7812'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
